TGenConstants (gCube Templates Portlet 4.4.0-SNAPSHOT API)
Date: 2013-07-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.templates.client
Class TGenConstants

    java.lang.Object
      org.gcube.portlets.user.templates.client.TGenConstants

    public class TGenConstants

extends Object

Simply a class conatining Static Constants

Version:
  november 2009 (gCube 1.5)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Field Summary
`static String` | `ADD_PAGE`
`static String` | `ADD_STATIC_IMAGE`
`static int` | `DEFAULT_IMAGE_HEIGHT`
`static int` | `DEFAULT_IMAGE_WIDTH`
`static String` | `IMAGE_BIBLIO`
`static String` | `IMAGE_CLOSE_15x15`
`static String` | `IMAGE_CLOSE_DARKER_15x15`
`static String` | `IMAGE_DROPPING_AREA_IMG`
`static String` | `IMAGE_DROPPING_AREA_TXT`
`static String` | `IMAGE_INSERT_DROPPING`
`static String` | `IMAGE_INSERT_IMAGE`
`static String` | `IMAGE_INSERT_INPUT_TEXTBOX`
`static String` | `IMAGE_INSERT_TABLE`
`static String` | `IMAGE_INSERT_TEXT`
`static String` | `IMAGE_INSERT_WORKFLOW`
`static String` | `IMAGE_NEXT_PAGE`
`static String` | `IMAGE_PREV_PAGE`
`static String` | `IMAGE_TITLE_BG`
`static String` | `IMAGE_TOC`
`static boolean` | `isDeployed`
`static String` | `LOADING_BAR`
`static String` | `LOCK`
`static String` | `LOCK_DARKER`
`static String` | `LOCK_OPEN`
`static String` | `LOCK_OPEN_DARKER`
`static String` | `REMOVE_STATIC_IMAGE`
`static String` | `RESIZE`
`static int` | `TYPE_BASKET`
`static int` | `TYPE_BASKET_ITEM`
`static int` | `TYPE_FOLDER`
`static int` | `TYPE_HOME`
`static int` | `WHEN_DEPLOYED_TOP` Used when delpoying application in the portlet

Constructor Summary
`TGenConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isDeployed

    public static final boolean isDeployed

See Also:
  Constant Field Values

### LOADING_BAR

    public static final String LOADING_BAR

### RESIZE

    public static final String RESIZE

### LOCK

    public static final String LOCK

### LOCK_DARKER

    public static final String LOCK_DARKER

### LOCK_OPEN

    public static final String LOCK_OPEN

### LOCK_OPEN_DARKER

    public static final String LOCK_OPEN_DARKER

### IMAGE_BIBLIO

    public static final String IMAGE_BIBLIO

### IMAGE_TOC

    public static final String IMAGE_TOC

### IMAGE_NEXT_PAGE

    public static final String IMAGE_NEXT_PAGE

### IMAGE_PREV_PAGE

    public static final String IMAGE_PREV_PAGE

### IMAGE_TITLE_BG

    public static final String IMAGE_TITLE_BG

### IMAGE_INSERT_TEXT

    public static final String IMAGE_INSERT_TEXT

### IMAGE_INSERT_IMAGE

    public static final String IMAGE_INSERT_IMAGE

### IMAGE_INSERT_TABLE

    public static final String IMAGE_INSERT_TABLE

### IMAGE_INSERT_WORKFLOW

    public static final String IMAGE_INSERT_WORKFLOW

### IMAGE_INSERT_DROPPING

    public static final String IMAGE_INSERT_DROPPING

### IMAGE_INSERT_INPUT_TEXTBOX

    public static final String IMAGE_INSERT_INPUT_TEXTBOX

### IMAGE_DROPPING_AREA_IMG

    public static final String IMAGE_DROPPING_AREA_IMG

### IMAGE_DROPPING_AREA_TXT

    public static final String IMAGE_DROPPING_AREA_TXT

### IMAGE_CLOSE_15x15

    public static final String IMAGE_CLOSE_15x15

### IMAGE_CLOSE_DARKER_15x15

    public static final String IMAGE_CLOSE_DARKER_15x15

### ADD_STATIC_IMAGE

    public static final String ADD_STATIC_IMAGE

### REMOVE_STATIC_IMAGE

    public static final String REMOVE_STATIC_IMAGE

### TYPE_HOME

    public static final int TYPE_HOME

See Also:
  Constant Field Values

### TYPE_FOLDER

    public static final int TYPE_FOLDER

See Also:
  Constant Field Values

### TYPE_BASKET

    public static final int TYPE_BASKET

See Also:
  Constant Field Values

### TYPE_BASKET_ITEM

    public static final int TYPE_BASKET_ITEM

See Also:
  Constant Field Values

### DEFAULT_IMAGE_WIDTH

    public static final int DEFAULT_IMAGE_WIDTH

See Also:
  Constant Field Values

### DEFAULT_IMAGE_HEIGHT

    public static final int DEFAULT_IMAGE_HEIGHT

See Also:
  Constant Field Values

### ADD_PAGE

    public static final String ADD_PAGE

### WHEN_DEPLOYED_TOP

    public static final int WHEN_DEPLOYED_TOP

  Used when delpoying application in the portlet

  See Also:
    Constant Field Values

Constructor Detail

### TGenConstants

    public TGenConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.